build:
  main: main.go
  binary: hugo
  ldflags: -s -w -X hugolib.BuildDate={{.Date}}
  goos:
    - darwin
    - linux
    - windows
    - freebsd
    - netbsd
    - openbsd
    - dragonfly
  goarch:
    - amd64
    - 386
    - arm
    - arm64
  ignore:
    - goos: openbsd
      goarch: arm
      goarm: 6

fpm:
  formats:
      - deb
  vendor: "gohugo.io"
  homepage: "https://gohugo.io/"
  maintainer: "Bjørn Erik Pedersen <bjorn.erik.pedersen@gmail.com>"
  description: "A Fast and Flexible Static Site Generator built with love in GoLang."
  license: "Apache 2.0"
archive:
  format: tar.gz
  format_overrides:
    - goos: windows
      format: zip
  name_template: "{{.Binary}}_{{.Version}}_{{.Os}}-{{.Arch}}"
  replacements:
    amd64: 64bit
    386: 32bit
    arm: ARM
    arm64: ARM64
    darwin: macOS
    linux: Linux
    windows: Windows
    openbsd: OpenBSD
    netbsd: NetBSD
    freebsd: FreeBSD
    dragonfly: DragonFlyBSD
  files:
    - README.md
    - LICENSE.md
release:
  draft: true
